Bug 1181562 - BIND version 9.10
Summary: BIND version 9.10
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact:
Ben Cotton
URL:
Whiteboard: ChangeAcceptedF22 SystemWideChange
Keywords: Tracking
Depends On: 1119058 1184173 1193944
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-13 11:33 UTC by Jaroslav Reznik
Modified: 2015-07-21 10:28 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-07-21 10:28:41 UTC


Attachments (Terms of Use)

Description Jaroslav Reznik 2015-01-13 11:33:38 UTC
This is a tracking bug for Change: BIND version 9.10
For more details, see: https://fedoraproject.org//wiki/Changes/BIND_9.10

BIND (Berkeley Internet Name Domain) version 9.10 is the latest stable major update of the widely used DNS server. Besides new features, some settings defaults have changed since the previous major version (9.9).

Comment 2 Jaroslav Reznik 2015-02-20 10:01:49 UTC
This message is a reminder that Fedora 22 Change Checkpoint: Completion deadline (testable) is on 2015-02-24 [1].

At this point, all accepted Changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Completion deadline.

This bug should be set at least to the MODIFIED state to indicate that it achieved completeness. Status will be provided to FESCo right after the deadline. If, for any reasons, your Change is not in required state, let me know and we will try to find solution. Fedora 22 is going to be strictly time based release. For Changes you decide to cancel/move to the next release, please use the NEW status and set needinfo on me and it will be acted upon. 

In case of any questions, don't hesitate to ask Wrangler (jreznik). Thank you.

[1] https://fedoraproject.org/wiki/Releases/22/Schedule

Comment 3 Tomáš Hozza 🤓 2015-02-23 11:58:53 UTC
Moving to MODIFIED, as the change is complete in F22+. However last week we discovered a problem with DHCP server and client.

BIND 9.10 comes with redesigned shared libraries against which DHCP is built. ISC bundles the BIND sources in the DHCP source archive, however to conform with Fedora packaging guidelines we are deleting these from the archive and are building DHCP using BIND libraries from Fedora.

Now the issue is that DHCP built against BIND 9.10 version does not work at all. We discussed this with DHCP and BIND upstream. They acknowledged that the effort was never finished in DHCP due to lack of time, however they currently don't have any plan (and estimate) on when this could be fixed. [1]


So we have three possibilities:

1. There seems to be a temporary workaround if libdns and libisc is built with --disable-epoll and --disable-threads. This would require tweaking BIND's Makefile to build a special versions of libdns and libisc just for DHCP and then link DHCP against these. Downside is that although this makes DHCP server and client work in the background, the only way to stop them is by 'kill -9'.

2. Ask FPC for an exception to build DHCP against the bundled BIND sources and ship latest major version of BIND in Fedora.

3. Revert the changes, bump epoch of BIND and ship only BIND 9.9 version in Fedora and keep DHCP as is.

Comment 4 Tomáš Hozza 🤓 2015-02-23 13:27:42 UTC
I forgot to add the upstream discussion thread to the previous comment...

[1] https://lists.isc.org/pipermail/bind-users/2015-February/094636.html

Comment 5 Tomáš Hozza 🤓 2015-02-24 16:15:35 UTC
(In reply to Tomas Hozza from comment #3)
> So we have three possibilities:
> 
> 1. There seems to be a temporary workaround if libdns and libisc is built
> with --disable-epoll and --disable-threads. This would require tweaking
> BIND's Makefile to build a special versions of libdns and libisc just for
> DHCP and then link DHCP against these. Downside is that although this makes
> DHCP server and client work in the background, the only way to stop them is
> by 'kill -9'.

This possibility turned up to be NOT doable. I was not able to successfully modify BIND in such a way to build also special version of libraries, that ISC DHCP would be able to run with.

Comment 6 Tomáš Hozza 🤓 2015-02-26 12:44:24 UTC
Created FPC ticket for DHCP:
https://fedorahosted.org/fpc/ticket/502

Comment 7 Tomáš Hozza 🤓 2015-02-26 12:46:53 UTC
COPR build of DHCP created by Jiri Popelka:
https://copr.fedoraproject.org/coprs/jpopelka/dhcp-bundle-bind/

Comment 8 Jaroslav Reznik 2015-03-24 11:41:49 UTC
This message is a reminder that Fedora 22 "Change Checkpoint: 100% Code Complete Deadline" is on 2015-03-31 [1].

All Accepted Changes has to be code complete and ready to be validated in the Beta release (optionally by Fedora QA). Required bug state at this point is ON_QA.

As for several System Wide Changes, Beta Freeze is a point of contingency plan, all incomplete Changes will be reported to FESCo for 2015-04-01 meeting. In case of any questions, don't hesitate to ask Wrangler (jreznik).

[1] https://fedoraproject.org/wiki/Releases/22/Schedule

Comment 9 Tomáš Hozza 🤓 2015-03-24 12:42:09 UTC
The change is live in F22+. All issues resolved. Switching to ON_QA.


Note You need to log in before you can comment on or make changes to this bug.